Package org.apache.solr.common.params

# Interface CollectionParams

public interface CollectionParams

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`CollectionParams.CollectionAction`
(Mostly) Collection API actions that can be sent by nodes to the Overseer over the `/overseer/collection-queue-work` ZooKeeper queue.
`static enum`
`CollectionParams.LockLevel`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACTION`
What action
`static final Map<String,CollectionParams.CollectionAction>`
`actions`
`static final String`
`FROM_NODE`
Deprecated.
use `SOURCE_NODE` instead
`static final String`
`MAX_BALANCE_SKEW`
`static final String`
`NAME`
`static final String`
`NODES`
`static final String`
`SOURCE_NODE`
`static final String`
`SOURCE_NODES`
`static final String`
`TARGET_NODE`
`static final String`
`TARGET_NODES`

## Field Details

### ACTION

static final String ACTION
What action

See Also:
  - Constant Field Values

### NAME

static final String NAME

See Also:
  - Constant Field Values

### FROM_NODE

@Deprecated static final String FROM_NODE
Deprecated.
use `SOURCE_NODE` instead

See Also:
  - Constant Field Values

### SOURCE_NODE

static final String SOURCE_NODE

See Also:
  - Constant Field Values

### TARGET_NODE

static final String TARGET_NODE

See Also:
  - Constant Field Values

### SOURCE_NODES

static final String SOURCE_NODES

See Also:
  - Constant Field Values

### TARGET_NODES

static final String TARGET_NODES

See Also:
  - Constant Field Values

### NODES

static final String NODES

See Also:
  - Constant Field Values

### MAX_BALANCE_SKEW

static final String MAX_BALANCE_SKEW

See Also:
  - Constant Field Values

### actions

static final Map<String,CollectionParams.CollectionAction> actions